Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class HeightField

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.imp3d.objects.HeightField

All Implemented Interfaces:
  ContextDependent, VertexGrid, VertexSet, Manageable, Shareable

Direct Known Subclasses:
  ImageHeightField, NetworkHeightField

    public abstract class HeightField

extends ContextDependentBase
implements VertexGrid

Nested Class Summary
`static class` | `HeightField.Type`

Field Summary
`static HeightField.Type` | `$TYPE`
`static SCOType.Field` | `mapping$FIELD`

Constructor Summary
`HeightField()`

Method Summary
`boolean` | `dependsOnContext()` Determines whether this object actually depends on context.
`int` | `getDimension(GraphState gs)`
`abstract float` | `getHeight(int x, int y, GraphState gs)`
`HeightFieldMapping` | `getMapping()`
`int` | `getVertex(float[] out, int index, GraphState gs)`
`int` | `getVertexIndex(int u, int v, GraphState gs)`
`boolean` | `isRational(GraphState gs)`
`void` | `setMapping(HeightFieldMapping value)`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.math.VertexGrid
`getUSize, getVSize`

Methods inherited from interface de.grogra.graph.ContextDependent
`writeStamp`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Field Detail

### $TYPE

    public static final HeightField.Type $TYPE

### mapping$FIELD

    public static final SCOType.Field mapping$FIELD

Constructor Detail

### HeightField

    public HeightField()

Method Detail

### dependsOnContext

    public boolean dependsOnContext()

  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Specified by:
    `dependsOnContext` in interface `ContextDependent`
  Returns:
    `true` iff this object depends on context

### getDimension

    public int getDimension(GraphState gs)

  Specified by:
    `getDimension` in interface `VertexSet`

### getHeight

    public abstract float getHeight(int x,
                                    int y,
                                    GraphState gs)

### getMapping

    public HeightFieldMapping getMapping()

### getVertex

    public int getVertex(float[] out,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `VertexSet`

### getVertexIndex

    public int getVertexIndex(int u,
                              int v,
                              GraphState gs)

  Specified by:
    `getVertexIndex` in interface `VertexGrid`

### isRational

    public boolean isRational(GraphState gs)

  Specified by:
    `isRational` in interface `VertexSet`

### setMapping

    public void setMapping(HeightFieldMapping value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD